# class RemoteBackupSubsystem |
Full name | `TelEngine::RemoteBackupSubsystem`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- RemoteBackupSubsystem (unsigned char ssn, int pointcode, bool wfg = false)
- virtual ~RemoteBackupSubsystem ()
- inline bool equals (unsigned char ssn, int pointcode)
- inline void permisionGranted ()
- inline bool waitingForGrant ()

## Detailed Description

RemoteBackupSubsystem (unsigned char ssn, int pointcode, bool wfg = false) | ### RemoteBackupSubsystem

Constructor

Parameters:

ssn | Remote subsystem number
pointcode | Remote pointcode
wfg | True if we are expecting SOG from this remote subsystem

~RemoteBackupSubsystem () | ### ~RemoteBackupSubsystem

[virtual]

inline bool equals (unsigned char ssn, int pointcode) | ### equals

Helper method used to verify if a remore subsystem match this one

Parameters:

ssn | Remote subsystem number
pointcode | Remote pointcode

Returns: True if pointcode and ssn match

inline void permisionGranted () | ### permisionGranted

Helper method to reset wait for grant flag

inline bool waitingForGrant () | ### waitingForGrant

Check if we are steel waiting to receive SOG

Returns: True if SOG message has arrived from the remote subsystem

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.